Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config.window
Class CategoryHolder

    java.lang.Object
      org.gjt.jclasslib.browser.config.window.CategoryHolder

All Implemented Interfaces:
  PathComponent

public class CategoryHolder
extends Object
implements PathComponent

Browser path component for a node category.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:10:15 $
Author:
  Ingo Kegel

Constructor Summary
`CategoryHolder()` Constructor.
`CategoryHolder(String category)` Constructor.

Method Summary
`String` | `getCategory()` Get the category.
`void` | `setCategory(String category)` Set the category.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryHolder

    public CategoryHolder(String category)

  Constructor.

Parameters:
  `category` - the category.

### CategoryHolder

    public CategoryHolder()

  Constructor.

Method Detail

### getCategory

    public String getCategory()

  Get the category.

  Returns:
    the category.

### setCategory

    public void setCategory(String category)

  Set the category.

  Parameters:
    `category` - the category.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD